ecj_3.10.1-2_amd64.deb


Advertisement

Description

ecj - standalone version of the Eclipse Java compiler

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name ecj
Package version 3.10.1
Package release 2
Package architecture amd64
Package type deb
Installed size 33 B
Download size 8.70 KB
Official Mirror archive.ubuntu.com
This package provides a standalone version of the Eclipse JDT compiler which
is distributed as part of Eclipse. It passes the JCK (Java Compatibility Kit)
and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.

Alternatives

Package Version Architecture Repository
ecj_3.10.1-2ubuntu1_amd64.deb 3.10.1 amd64 Ubuntu Updates Main
ecj_3.10.1-2ubuntu1_i386.deb 3.10.1 i386 Ubuntu Updates Main
ecj_3.10.1-2_i386.deb 3.10.1 i386 Ubuntu Main
ecj - - -

Requires

Name Value
gcj-5-jre-headless >= 4.4.6
gcj-5-jre-lib >= 4.4.6
java-common >= 0.23
libecj-java >= 3.10.1-2

Conflicts

Name Value
ecj-bootstrap << 3.2.2
eclipse-ecj -

Replaces

Name Value
ecj-bootstrap << 3.2.2
eclipse-ecj -

Download

Type URL
Binary Package ecj_3.10.1-2_amd64.deb
Source Package ecj

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ecj deb package:
    # sudo apt-get install ecj

Files

Path
/usr/bin/ecj
/usr/share/doc/ecj/README.Debian
/usr/share/doc/ecj/changelog.Debian.gz
/usr/share/doc/ecj/copyright
/usr/share/man/man1/ecj.1.gz

Changelog

2015-09-01 - Matthias Klose <doko@debian.org>
ecj (3.10.1-2) unstable; urgency=medium
* Build using GCC 5.
2014-09-30 - Matthias Klose <doko@debian.org>
ecj (3.10.1-1) unstable; urgency=medium
* Upstream 3.10.1 release (marketing version 4.4.1).
2014-08-30 - Matthias Klose <doko@debian.org>
ecj (3.10.1~rc2-1) unstable; urgency=medium
* Upstream 3.10.1 release candidate 2.
* Update package descriptions.
2014-08-21 - Matthias Klose <doko@debian.org>
ecj (3.10.0+3.10.0-2) experimental; urgency=medium
* Fix Bug 438812 - Missing bridge methods in indirect child classes.
Closes: #753315.
2014-07-05 - Matthias Klose <doko@debian.org>
ecj (3.10.0+3.10.0-1) experimental; urgency=medium
* Upload to experimental, unstable has 3.9.0 again (see #753315).
2014-06-26 - Emmanuel Bourg <ebourg@apache.org>
ecj (3.10.0-1) unstable; urgency=medium
* Team upload.
* New upstream release (built from the R4_4 tag, identifies itself as 3.10.0)
- Refreshed gcc-changes.diff
- Added a patch fixing compilation errors caused by @Override annotations
- Updated the version of the Maven pom
- Added the new -1.8 option in the manpages
* debian/control:
- Removed the recommended dependency on a JRE for libecj-java
- Added the Homepage and the Vcs-* fields
* Switch to debhelper level 9
* Call 'set -e' in the body of the ecj maintainer scripts
* Fixed a typo in the ecj manpages
* Added a watch file
* debian/rules:
- Renamed the get-source target to get-orig-source and completed
the script to build the upstream tarball.
- Removed the option to build with the old ant1.7 package
- Reduced the number of warnings during the compilation
- Replace the bundle_version parameter with the actual version
in message.properties
* Use XZ compression for the upstream tarball
2014-05-03 - Matthias Klose <doko@debian.org>
ecj (3.9.0-2) unstable; urgency=medium
* Build using gcj-4.9.
2013-12-10 - Matthias Klose <doko@debian.org>
ecj (3.9.0-1) unstable; urgency=medium
* Update to 4.3.1 (built from the R4_3_1 tag, identifies itself as 3.9.0).
2013-07-01 - Matthias Klose <doko@debian.org>
ecj (3.8.2-4) unstable; urgency=low
* Build using gcj-4.8 on all architectures.
2013-04-08 - Matthias Klose <doko@debian.org>
ecj (3.8.2-2) unstable; urgency=low
* Build using gcj-4.6 on mips.

See Also

Package Description
ecryptfs-utils_111-0ubuntu1_amd64.deb ecryptfs cryptographic filesystem (utilities)
ed_1.10-2_amd64.deb classic UNIX line editor
efibootmgr_0.12-4_amd64.deb Interact with the EFI Boot Manager
efivar_0.23-2_amd64.deb Tools to manage UEFI variables
eject_2.1.5+deb1+cvs20081104-13.1_amd64.deb ejects CDs and operates CD-Changers under Linux
emacs-goodies-el_35.12ubuntu2_all.deb Miscellaneous add-ons for Emacs
emacs24-bin-common_24.5+1-6ubuntu1_amd64.deb GNU Emacs editor's shared, architecture dependent files
emacs24-common-non-dfsg_24.4+1-2_all.deb GNU Emacs common non-DFSG items, including the core documentation
emacs24-common_24.5+1-6ubuntu1_all.deb GNU Emacs editor's shared, architecture independent infrastructure
emacs24-el_24.5+1-6ubuntu1_all.deb GNU Emacs LISP (.el) files
emacs24-nox_24.5+1-6ubuntu1_amd64.deb GNU Emacs editor (without GUI support)
emacs24_24.5+1-6ubuntu1_amd64.deb GNU Emacs editor (with GTK+ GUI support)
emacs_46.1_all.deb GNU Emacs editor (metapackage)
emacsen-common_2.0.8_all.deb Common facilities for all emacsen
enchant_1.6.0-10.1build2_amd64.deb Wrapper for various spell checker engines (binary programs)
Advertisement
Advertisement